# SeasLog::flushBuffer

(PECL seaslog >=1.0.0)

SeasLog::flushBuffer — Flush logs buffer, dump to appender file, or send to remote api with tcp/udp

### Description

public static SeasLog::flushBuffer ( void ) : bool

Flush logs buffer by seaslog.appender: dump to file, or send to remote api with tcp/udp.

> Note:

> See also: seaslog.appender_retry seaslog.remote_host seaslog.remote_port

### Parameters

This function has no parameters.

### Return Values

Return TRUE on flush buffer success, FALSE on failure.

### Examples

Example #1 SeasLog::flushBuffer() example

`<?php
SeasLog::info('info log');
SeasLog::debug('debug log');
var_dump(SeasLog::getBuffer());
var_dump(SeasLog::flushBuffer());
var_dump(SeasLog::getBuffer());
?>`

The above example will output something similar to:

    array(1) {
      ["/var/log/www/default/20180707.log"]=>
      array(2) {
        [0]=>
        string(79) "2018-07-07 10:47:58 | INFO | 71910 | 5b4029ded6009 | 1530931678.877 | info log
    "
        [1]=>
        string(81) "2018-07-07 10:47:58 | DEBUG | 71910 | 5b4029ded6009 | 1530931678.877 | debug log
    "
      }
    }
    bool(true)
    array(0) {
    }

### See Also

- seaslog.use_buffer
- seaslog.buffer_size
- seaslog.buffer_disabled_in_cli
- SeasLog::getBufferEnabled() - Determin if buffer enabled
- SeasLog::getBuffer() - Get the logs buffer in memory as array